Message: DYLD_LIBRARY_PATH warning Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None DYLD_LIBRARY_PATH warning 

Forum: Installation and Configuration
Date: 04 May, 2010
From: Akira Okumura <Akira Okumura>

I built G4.9.3p01 on Mac OS X Snow Leopard and added some lines to my ~/.zshrc as follow.

 ================
 export G4VIS_USE=1
 export G4UI_USE_TCSH=1
 export G4WORKDIR=$HOME/g4work
 export G4LIB_BUILD_GDML=1
 export XERCESCROOT=/usr/local
 source /usr/local/geant4/geant4.9.3.p01/env.sh
 ================

Each time I open a terminal, I get the following warning(?) which seems to cause no problem. Can anyone tell me how to remove this message, please?

 ================
 DYLD_LIBRARY_PATH is set to include CLHEP and Geant4 libraries. 
 NOTE : you should verify that the correct path for the CLHEP library
 
 /usr/local/clhep/lib
 
 is included in the dynamic library search path ahead of any other
 installations of CLHEP on your system that may be referenced by this
 path.
 ================

Some related environmental variables are here.

 ================
 LD_LIBRARY_PATH=/Users/oxon/cvswork/glast/users/oxon/RootHealPix:/usr/local/heasoft-6.9/i386-apple-darwin10.2.0/lib:/usr/local/root/lib
 DYLD_LIBRARY_PATH=/Users/oxon/cvswork/glast/users/oxon/RootHealPix:/usr/local/heasoft-6.9/i386-apple-darwin10.2.0/lib::/lib:/usr/local/root/lib:/Users/oxon/cvswork/oxon/ROBAST/lib:/usr/local/lib:/usr/local/geant4/geant4.9.3.p01/lib/Darwin-g++:/usr/local/clhep/lib:/lib

 g4non_display=1
 G4VIS_USE=1
 G4WORKDIR=/Users/oxon/g4work
 XERCESCROOT=
 G4SYSTEM=Darwin-g++
 G4INSTALL=/usr/local/geant4/geant4.9.3.p01
 G4INCLUDE=/usr/local/geant4/geant4.9.3.p01/include/
 G4LIB=/usr/local/geant4/geant4.9.3.p01/lib
 G4LEVELGAMMADATA=/usr/local/geant4/geant4.9.3.p01/data/PhotonEvaporation2.0
 G4RADIOACTIVEDATA=/usr/local/geant4/geant4.9.3.p01/data/RadioactiveDecay3.2
 G4LEDATA=/usr/local/geant4/geant4.9.3.p01/data/G4EMLOW6.9
 G4NEUTRONHPDATA=/usr/local/geant4/geant4.9.3.p01/data/G4NDL3.13
 G4ABLADATA=/usr/local/geant4/geant4.9.3.p01/data/G4ABLA3.0
 G4REALSURFACEDATA=/usr/local/geant4/geant4.9.3.p01/data/RealSurface1.0
 CLHEP_BASE_DIR=/usr/local/clhep
 CLHEP_INCLUDE_DIR=/usr/local/clhep/include
 CLHEP_LIB_DIR=/usr/local/clhep/lib
 CLHEP_LIB=CLHEP
 G4UI_USE_TCSH=1
 G4VIS_BUILD_OPENGLX_DRIVER=1
 G4VIS_BUILD_RAYTRACERX_DRIVER=1
 G4VIS_BUILD_VRML_DRIVER=1
 G4VIS_USE_OPENGLX=1
 G4VIS_USE_RAYTRACERX=1
 G4VIS_USE_VRML=1
 XMFLAGS=
 XMLIBS=
 XAWFLAGS=
 XAWLIBS=
 G4LIB_BUILD_GDML=1
 G4LIB_BUILD_SHARED=1

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Note: Re: DYLD_LIBRARY_PATH warning   (Ben Morgan - 05 May, 2010)
 Add Message Add Message
to: "DYLD_LIBRARY_PATH warning"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]